<head>
    <title>Pagina de lector</title>
    <style type="text/css">
        html, body {
            font: 16pt arial;
            margin-left:150;
            margin-right:150;
        }

        #viz {
            width: 900px;
            height: 700px;
            border: 1px solid lightgray;
            font: 22pt arial;
        }
    </style>
    <script src="https://rawgit.com/neo4j-contrib/neovis.js/master/dist/neovis.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
</head>
<body onload="draw()" style="background-color:#777777;" style="padding-top: 23; " >
    <div style="padding: 50;">
        <div class="p-3 mb-2 bg-dark text-white">
            <h1>GRAFICO</h1>
            <label>Introducir query</label>
            <div id="viz"></div>
        

        </div>


    </div>
</body>



<script type="text/javascript">

    var viz;
    function draw() {
        var query = document.getElementById("personName");
        var config = {
            container_id: "viz",
            server_url: "bolt://localhost:7687",
            server_user: "neo4j",
            server_password: "password",
            labels: {
                "Person": {
                    caption: "name",
                },
                "Company": {
                    caption: "name",
                }
            },
            relationships: {
                "alumno": {
                    thickness: "weight",
                }
            },
            
            initial_cypher: "MATCH (u)-[r]->(n) RETURN u , r , n"
        };

        viz = new NeoVis.default(config);
        viz.render();
        
    }
</script>